Getter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Interface Getter

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BackrefPropertyAccessor.BackrefGetter, BasicPropertyAccessor.BasicGetter, DirectPropertyAccessor.DirectGetter, EmbeddedPropertyAccessor.EmbeddedGetter, IndexPropertyAccessor.IndexGetter, MapAccessor.MapGetter

    public interface Getter

extends Serializable

Gets values of a particular property

Method Summary
`Object` | `get(Object owner)` Get the property value from the given instance .
`Object` | `getForInsert(Object owner, Map mergeMap, SessionImplementor session)` Get the property value from the given owner instance.
`Member` | `getMember()` Retrieve the member to which this property maps.
`Method` | `getMethod()` Retrieve the getter-method.
`String` | `getMethodName()` Retrieve the getter-method name.
`Class` | `getReturnType()` Retrieve the declared Java type

Method Detail

### get

    Object get(Object owner)
               throws HibernateException

  Get the property value from the given instance .

  Parameters:
    `owner` - The instance containing the value to be retreived.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getForInsert

    Object getForInsert(Object owner,
                        Map mergeMap,
                        SessionImplementor session)
                        throws HibernateException

  Get the property value from the given owner instance.

  Parameters:
    `owner` - The instance containing the value to be retreived.
    `mergeMap` - a map of merged persistent instances to detached instances
    `session` - The session from which this request originated.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getMember

    Member getMember()

  Retrieve the member to which this property maps. This might be the field or it might be the getter method.

  Returns:
    The mapped member.

### getReturnType

    Class getReturnType()

  Retrieve the declared Java type

  Returns:
    The declared java type.

### getMethodName

    String getMethodName()

  Retrieve the getter-method name.

  Optional operation (return null)

  Returns:
    The name of the getter method, or null.

### getMethod

    Method getMethod()

  Retrieve the getter-method.

  Optional operation (return null)

  Returns:
    The getter method, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.